///////////////////////////////////////////////////////////////////////////////
//								leszifr3cmd
//		       			(Uruchamianie z linii polecen)
//								 ver. 0.3
//			       				(JPW 2018)
//                          (c) SoftCream Software Ltd
//								  WINDOWS
//
//  Kompilacja:
//   gcc -Wall leszifr3cmd.c -o leszifr3cmd leszifr3lib.o		
///////////////////////////////////////////////////////////////////////////////



#include <stdio.h>
#include <string.h>
#include <locale.h>  // lokalne kodowanie tekstu cp1250 dla printf (konsola)
#include "leszifr3.h"


int main(int argc, char**argv) {

//argv[0] - this application
//argv[1] - mode: -c (coder), -d (decoder)
//argv[2] - filename (coding/decoding)
//argv[3] - password

char out[3000];
int ret;


//ustawia kodowanie zankow dziakrytycznych w nazwach plikow
//oraz matryczce (z cp1250 --> utf-8)
switch_utf_converting(1);


//kodowanie
if(argc==4 && strcmp(argv[1],"-c")==0) {
     if(strlen(argv[3]) > 40) return 0;   //dl. hasla max.40 znakow
     leszifr3code(argv[2], argv[3], 1);
     return 0;
}


//kodowanie z windows progress bar
if(argc==4 && strcmp(argv[1],"-cg")==0) {
     if(strlen(argv[3]) > 40) return 0;   //dl. hasla max.40 znakow
     leszifr3code_g(argv[2], argv[3], 1);
     return 0;
}


//de-kodowanie
if(argc==4 && strcmp(argv[1], "-d")==0) {
      if(strlen(argv[3]) > 40) return 0;   //dl. hasla max.40 znakow
     leszifr3decode(argv[2], argv[3], 1);
     return 0; 
}


//de-kodowanie
if(argc==4 && strcmp(argv[1], "-dg")==0) {
      if(strlen(argv[3]) > 40) return 0;   //dl. hasla max.40 znakow
     leszifr3decode_g(argv[2], argv[3], 1);
     return 0; 
}


//odczyt dodakowego opisu
if(argc==4 && strcmp(argv[1], "-m")==0) {
     if(strlen(argv[3]) > 40) return 0;   //dl. hasla max.40 znakow
     ret = leszifr3desc(argv[2], argv[3], out, 1);
     if(ret < 0) printf("\n End.\n");
     else {
			//nalezy uy aby poprawnie wywietli w konsoli tekst 
			//kodowany w Windows tablica cp1250
			//nalezy pamietac aby dolaczyc:   #include <locale.h>
     		setlocale(LC_ALL, "");  
     		printf("%s\n", out); 
	 }
     return 0; 
}


//version
if(argc==2) {
    leszifr3ver(argv[1]);
    return 0;
}


//print_help();

return 0;
}
